/***************************************************************************
*    Copyright 2000  Broadcom Corporation
*    All Rights Reserved
*    No portions of this material may be reproduced in any form without the
*    written permission of:
*             Broadcom Corporation
*             16251 Laguna Canyon Road
*             Irvine, California  92618
*    All information contained in this document is Broadcom Corporation
*    company private, proprietary, and trade secret.
*
****************************************************************************
*
*    Filename: pkinitReply.h
*    Creation Date: 27 Oct 2000 (v0.00)
*    VSS Info:
*        $Revision: 1.2 $
*        $Date: 2002/10/25 13:48:43 $
*
****************************************************************************
*    Description:
*
*       Implementation of packetCable PKINIT reply processing
*
****************************************************************************/
# ifndef __PKINITREPLY_H
#define __PKINITREPLY_H


#include "krb5_err.h"
#include "seckrb.h"
#include "SecLib.h"


krb5_error_code check_pkinit_reply( 
      pkinit_reply      *out_pk, 
      unsigned char     *realm,
      int                app_flag,
      unsigned char      *subjAltNameRealm);
#endif
